Gimptalk - Premier Gimp Community: G. A. P-2.2.2 , now compiled for windows - Gimptalk - Premier Gimp Community

Jump to content

  • 2 Pages +
  • 1
  • 2
  • You cannot start a new topic
  • You cannot reply to this topic

G. A. P-2.2.2 , now compiled for windows

#1 User is offline   JamesH 

  • Member
  • PipPip
  • Group: Members
  • Posts: 37
  • Joined: 29-September 07
  • LocationTaiwan

Posted 21 November 2007 - 12:28 PM

i success compile gap2.2.2
it seem works
if you want to try it
you can download here Gimp Animation Package v2.2.2 (8.99 Mb )
extract files to \Program Files\GIMP-2.0 where your gimp installed

if you can read chinese and want to know how to compile
you can visit my yahoo blog
0

#2 User is offline   saulgoode 

  • Retired Staff
  • PipPipPip
  • Group: Retired Staff
  • Posts: 5,324
  • Joined: 22-August 05

Posted 21 November 2007 - 01:51 PM

Quote

but don't know why
the file size 10 times bigger than the old


You might try disabling some of the Unix/Linux-specific support using the following configure:

./configure --disable-unix-frontends --disable-libavformat --disable-libmpeg3 --disable-libxvidcore --disable-audio-support
Everybody makes their own fun. If you don't make it yourself it's not fun, it's entertainment.
0

#3 User is offline   sir hobo 

  • Advanced Member
  • PipPipPip
  • Group: Members
  • Posts: 4,998
  • Joined: 24-September 06
  • Locationsomewhere on earth....

Posted 21 November 2007 - 03:01 PM

i installed your new gap, but it doesn't work for gimp 2.4?

i still dont have the "Video" thing.
Posted Image

Uploaded with ImageShack.us
0

#4 User is offline   JamesH 

  • Member
  • PipPip
  • Group: Members
  • Posts: 37
  • Joined: 29-September 07
  • LocationTaiwan

Posted 22 November 2007 - 02:33 AM

just like the other plug-ins
put the new files to the right directory
when gimp find it
it would build the menu

so may you take a look at your gimp directory
Posted Image
when gap_*.exe extract to the plug-ins directory
next time gimp started
it would search the new plug-ins
if find, it would build the "Video" menu

sorry for my broken English
0

#5 User is offline   PhotoComix 

  • GT Senior Moderator
  • Group: Senior Moderators
  • Posts: 11,288
  • Joined: 13-June 05

Posted 22 November 2007 - 10:19 AM

my english is no better.
however i try to explain, is not a installer as you had in win for 2.2.0 , but are all the gap compiled plugin and script

so to install you have just to move what is inside in the bin/.../plugin folder from the zip to your gimp plugin folder, and same for what is in the zip in share/.../script folder to the gimp script folder

if pointed to the gimp main folder the unzipper should do it automatically, but if you get problem just do it manually...copy what is in the zip plugin folder and paste in the gimp plugin folder
then same for script

Quote


if you can read chinese and want to know how to compile
you can visit my yahoo blog

i will really like to know but chinese ...i hope for some translation
thank to make available latest GAP also for windows :h:
0

#6 User is offline   fencepost 

  • Retired Staff
  • PipPipPip
  • Group: Retired Staff
  • Posts: 2,646
  • Joined: 01-March 05

Posted 22 November 2007 - 02:50 PM

Thanks so much for this! I greatly appreciate your efforts. If all works well, I be able to remove version 2.2 from my machine. Thanks again. Cheers!

Art
0

#7 User is offline   XyllyX 

  • Newbie
  • Pip
  • Group: Retired Staff
  • Posts: 3
  • Joined: 14-June 05

Posted 22 November 2007 - 07:32 PM

Well, I got it. Thanks for the work you did on it! I have it on both computers now. Tho 2.4.1 on my win box runs slower than 2.2, it's still nice to have.
0

#8 User is offline   JamesH 

  • Member
  • PipPip
  • Group: Members
  • Posts: 37
  • Joined: 29-September 07
  • LocationTaiwan

Posted 23 November 2007 - 03:03 AM

Quote

i will really like to know but chinese ...i hope for some translation

ok, use my broken english
1. download and install MinGW, MSYS, ActivePerl

2.Individual .zip packages for GTK+, GLib and other libraries download some needed lib
glib-dev-2.14.2.zip, gtk+-dev-2.12.1.zip, pango-dev-1.18.3.zip, atk-dev-1.20.0.zip,
cairo-dev-1.4.10.zip, pkg-config-0.20.zip, gettext-dev-0.14.5.zip, gimp-dev-2.4.zip,
libiconv-1.9.1.bin.woe32.zip, libpng-1.2.8-bin.zip, jpeg-6b-4-lib.zip, libpng-1.2.8-lib.zip
extract them to the MinGW folder
Zlib need .a library file, but i can't find it, so need to download source file compile it, extract source to the \msys\1.0\home\"User Name"(same as GAP source)

3. start MSYS, compile zlib first
cd zlib123
./configure --prefix=f:/mingw
make
make install

if success, now compile gap
cd ../gimp-gap-2.2.2
export PKG_CONFIG_PATH=f:/MinGW/lib/pkgconfig
./configure --disable-unix-frontends --disable-libavformat --disable-libmpeg3 --disable-libxvidcore --disable-audio-support CFLAGS=
make
make install

build plug-ins exe at \MinGW\lib\gimp\2.0\plug-ins
scm \MinGW\share\gimp\2.0\scripts
locale file \msys\1.0\local\lib\locale
0

#9 User is offline   PhotoComix 

  • GT Senior Moderator
  • Group: Senior Moderators
  • Posts: 11,288
  • Joined: 13-June 05

Posted 23 November 2007 - 03:28 PM

:h: :h:
thank everything clear...at least reading now i want try...
0

#10 User is offline   Oregonian 

  • Retired Staff
  • PipPipPip
  • Group: Retired Staff
  • Posts: 2,360
  • Joined: 13-November 07

Posted 23 November 2007 - 05:47 PM

Wow! Installation went without a hitch with the help up above there. Restarting Gimp, saw the plugins install. :w:

Now ... what do I do? I need to track down some GAP tuts.

Thanks everyone! :l:
Posted Image
Posted Image
0

#11 User is offline   JamesH 

  • Member
  • PipPip
  • Group: Members
  • Posts: 37
  • Joined: 29-September 07
  • LocationTaiwan

Posted 24 November 2007 - 06:13 AM

find some problem
use these configure option
./configure --disable-unix-frontends --disable-libavformat --disable-libmpeg3 --disable-libxvidcore --disable-audio-support
the plug-ins can't use mov, 3gp...video file

rebuild one
Gimp Animation Package v2.2.2 (8.99 Mb )
0

#12 User is offline   saulgoode 

  • Retired Staff
  • PipPipPip
  • Group: Retired Staff
  • Posts: 5,324
  • Joined: 22-August 05

Posted 24 November 2007 - 06:42 AM

For your most new version, did you use the following configure?

./configure --disable-unix-frontends --disable-libmpeg3 --disable-audio-support
Everybody makes their own fun. If you don't make it yourself it's not fun, it's entertainment.
0

#13 User is offline   JamesH 

  • Member
  • PipPip
  • Group: Members
  • Posts: 37
  • Joined: 29-September 07
  • LocationTaiwan

Posted 24 November 2007 - 08:56 AM

Quote

For your most new version, did you use the following configure?

./configure --disable-unix-frontends --disable-libmpeg3 --disable-audio-support


yes, same as the original
and final use "make install-strip" remove debug info from files

(I originally thought that used "CFLAGS=" can let the compiler not add debug info to the file)
0

#14 User is offline   PhotoComix 

  • GT Senior Moderator
  • Group: Senior Moderators
  • Posts: 11,288
  • Joined: 13-June 05

Posted 25 November 2007 - 03:56 PM

Ok i updated the link on the "news" board
0

#15 User is offline   gasto 

  • Member
  • PipPip
  • Group: Members
  • Posts: 232
  • Joined: 17-December 07

Posted 20 December 2007 - 12:41 AM

Should it work for Gimp 2.4.2?
0

#16 User is offline   PhotoComix 

  • GT Senior Moderator
  • Group: Senior Moderators
  • Posts: 11,288
  • Joined: 13-June 05

Posted 20 December 2007 - 01:48 AM

yes
0

#17 User is offline   bootycrewqueen 

  • Member
  • PipPip
  • Group: Members
  • Posts: 130
  • Joined: 09-October 06

Posted 21 December 2007 - 02:28 AM

Thank you!!
0

#18 User is offline   aceofears 

  • Member
  • PipPip
  • Group: Members
  • Posts: 74
  • Joined: 10-October 07

Posted 06 January 2008 - 06:28 PM

The master encoder isnt working for me, it says something about no encoder and nothing happens, is that my doing, did I forget to install something?
0

#19 User is offline   PhotoComix 

  • GT Senior Moderator
  • Group: Senior Moderators
  • Posts: 11,288
  • Joined: 13-June 05

Posted 07 January 2008 - 06:33 AM

In windows there is not a front end for encoder as in linux
0

#20 User is offline   aceofears 

  • Member
  • PipPip
  • Group: Members
  • Posts: 74
  • Joined: 10-October 07

Posted 08 January 2008 - 12:25 AM

You say front end, does that mean theres another way to do it?
0

Share this topic:


  • 2 Pages +
  • 1
  • 2
  • You cannot start a new topic
  • You cannot reply to this topic